const int PinLEDR = 11;
int Luminosite = 0;


void setup() {
  Serial.begin(9600);
  pinMode (PinLEDR, OUTPUT);
  digitalWrite(PinLEDR,0);
}

void loop() {
  while(Luminosite<1 || Luminosite>255)  
  { 
  int Val=0; 
  char tampon[10]="";      
  Serial.println("Veuillez saisir la luminosite de la DEL rouge (valeur entre 1 et 255):");
  while(!Val)  
    { 
    delay(200); 
    Val=Serial.available();
    }
  for (int i=0; i < Val; i++)
    { 
    tampon[i]=Serial.read();
    delay(15); 
    } 
  Luminosite = atoi(tampon); 
  }
  Serial.print("Luminosite de la DEL rouge choisie : "); Serial.println(Luminosite);
  Serial.println("");
  analogWrite(PinLEDR,Luminosite);
  Luminosite=0;
}
